CLASS ENVIRONME(3)

NAME
boost::environment_iterator

SYNOPSIS

// In header: <boost/program_options/environment_iterator.hpp>
class environment_iterator : public boost::eof_iterator< environment_iterator, std::pair< std::string, std::string > >
{
public:
  // construct/copy/destruct
  environment_iterator(char **);
  environment_iterator();
  // public member functions
  void get();
};

DESCRIPTION

  environment_iterator public construct/copy/destruct

    1.

    environment_iterator(char ** environment);

    2.

    environment_iterator();

  environment_iterator public member functions

    1.

    void get();